[[#> rsp:HomeSidebar]]
<div style="width: 100%; padding: 30px 0px 10px 10px;">
    <h1 class="project-header">
        Search by ID
    </h1>
    <semantic-query query='SELECT DISTINCT ?graph ?title ?shortHand WHERE {
          GRAPH <http://metadata.lincsproject.ca>  {
            ?graph rdf:type <http://www.ics.forth.gr/isl/CRMdig/D1_Digital_Object> ;
            <http://www.cidoc-crm.org/cidoc-crm/P1_is_identified_by>  ?shortHandIdentifier .
            ?shortHandIdentifier <http://www.cidoc-crm.org/cidoc-crm/P2_has_type> <http://vocab.getty.edu/aat/300417227> ;
                <http://www.cidoc-crm.org/cidoc-crm/P190_has_symbolic_content>  ?shortHand .
            ?graph <http://www.cidoc-crm.org/cidoc-crm/P1_is_identified_by>  ?titleIdentifier .
            ?titleIdentifier <http://www.cidoc-crm.org/cidoc-crm/P2_has_type> <http://vocab.getty.edu/aat/300417209> ;
                <http://www.cidoc-crm.org/cidoc-crm/P190_has_symbolic_content>  ?title .
                
          }
          { SELECT ?graph WHERE {    
             GRAPH ?graph  {
             ?s a ?class .
            } 
            ?class rdfs:subClassOf* crm:E21_Person .
          } GROUP BY ?graph
        }
      }' template="{{>  search}}">
        <template id="search">
            <bs-tabs class="semantic-search-first-container" id="semantic-search" mount-on-enter="true">
                {{#each bindings}}
                <bs-tab class="basicSearch" event-key="search-{{shortHand.value}}" title="{{title.value}}">
                    <semantic-search
                        config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  . ?field <http://www.researchspace.org/resource/system/fields/domain>  ?domain . ?field <http://www.researchspace.org/resource/system/fields/range>  ?range . ?field <http://www.researchspace.org/resource/system/fields/category>  <http://www.researchspace.org/resource/system/formContainer/category/actor>  . }"]]'>
                        <div class="rs-results-area" data-flex-layout="row stretch-stretch">
                            <div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0">
                               
                            </div>
                            <div>
                                <semantic-search-query-keyword debounce="500" default-query="
                                  SELECT ?subject WHERE { 
                                      GRAPH <{{graph.value}}>  { ?subject a ?class } .
                                  } LIMIT 100" 
                                    placeholder="Search people in {{shortHand.value}}..." query='
                                  SELECT ?subject WHERE { 
                                      GRAPH <{{graph.value}}>  { 
                                          ?subject a ?class ;
                                          FILTER regex(STR(?subject), ?__token__, "i") .
                                      }
                                      
                                      }LIMIT 100
                                      
                              '>
                                </semantic-search-query-keyword>
                                <semantic-search-result id="semantic-search-result">
                                    <mp-sparql-result-counts id="semantic-search-result-count"
                                        query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
                                        <template id="template">
                                            <import-lincs-timline>
                                            </import-lincs-timline>
                                            <div style="padding-top: 10px; padding-bottom: 10px">
                                                <span class="num-results">
                                                    Found
                                                    <span class="num-results-color">
                                                        {{#if
                                                        hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
                                                    </span>
                                                    in {{shortHand.value}}
                                                </span>
                                            </div>
                                        </template>
                                    </mp-sparql-result-counts>
                                </semantic-search-result>
                                [[> rsp:SearchResults]]
                            </div>
                        </div>
                    </semantic-search>
                </bs-tab>
                {{/each}}
            </bs-tabs>
        </template>
    </semantic-query>
</div>
[[/rsp:HomeSidebar]]